## muroard 0.1.0

=== Makefile ===
include Makefile.conf


BIN=muroard
MANPAGE=$(BIN).1

TARGETS=$(BIN)

OBJS=muroard.o para.o network.o waveform.o proto.o driver.o dsp.o clients.o streams.o

CFLAGS  += -Wall -Wextra $(fPIC) -g
LDFLAGS += -Wall -Wextra

NETLIBS  = $(lib_wsock32) $(lib_ws2_32)
LIBS    += $(NETLIBS)

all: ${TARGETS}
clean:
	rm -f ${TARGETS} *.o
distclean: clean
	rm -f Makefile.conf config.log

new: clean all

prep-install-dirs:
	mkdir -p '$(DESTDIR)$(PREFIX_BIN)'
	mkdir -p '$(DESTDIR)$(PREFIX_MAN)/man1'

install: all prep-install-dirs
	cp $(cp_v) $(BIN)     '$(DESTDIR)$(PREFIX_BIN)'
	cp $(cp_v) $(MANPAGE) '$(DESTDIR)$(PREFIX_MAN)/man1/'

semi-install: all prep-install-dirs
	ln -fs `pwd`/$(BIN)     '$(DESTDIR)$(PREFIX_BIN)'
	ln -fs `pwd`/$(MANPAGE) '$(DESTDIR)$(PREFIX_MAN)/man1/'

uninstall:
	rm -f '$(DESTDIR)$(PREFIX_BIN)'/$(BIN)
	rm -f '$(DESTDIR)$(PREFIX_MAN)'/man1/$(MANPAGE)

muroard: $(OBJS)
	${CC} ${LDFLAGS} -o muroard $(OBJS) ${LIBS}

## muroard 0.1~beta3

=== debian/changelog ===
muroard (0.1~beta3-1) unstable; urgency=high

  * New upstream release.
  * Create in postinst a systemuser muroard, this fixes a critical installation
    error.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 20 Apr 2010 20:58:18 +0200

muroard (0.1~beta2-1) unstable; urgency=low

  * New upstream release.
    - Add 01-fix_man_hyphens.diff to fix hypen-used-as-minus-sign errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 04 Apr 2010 12:17:15 +0200

muroard (0.1~beta1-1) unstable; urgency=low

  * Initial release.
    Closes: #574895

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 22 Mar 2010 00:16:03 +0100

=== debian/control ===
Source: muroard
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 7), libmuroar-dev
Standards-Version: 3.8.4
Section: sound
Homepage: http://roaraudio.keep-cool.org/

Package: muroard
Architecture: any
Provides: roaraudio-server
Suggests: roaraudio, libmuroar0
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: minimalist RoarAudio sound daemon
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 This is a minimalist version of a RoarAudio sound daemon.

Package: muroard-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, muroard (= ${binary:Version})
Description: minimalist RoarAudio sound daemon (debugging symbols)
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 This package provides debugging symbols for the muroard package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

config.status:
	dh_testdir
	./configure --prefix /usr
	touch config.status

build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	cp dist/debian-like/muroard debian/muroard.init
	cp dist/debian-like/defaults debian/muroard.default
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f debian/muroard.init
	rm -f debian/muroard.default
	rm -f build-stamp config.status
	[ ! -f Makefile.conf ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

binary-indep:

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_install -a
	dh_installman -a
	dh_installinit -a
	dh_strip -a --dbg-package=muroard-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@uscan --force-download --destdir ../tarballs

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## muroard 0.1.0

=== debian/changelog ===
muroard (0.1.0-5) unstable; urgency=high

  * Wait for the daemon to terminate on stop. Fixes user removal in purge.
    Closes: #608812

 -- Philipp Schafft <lion@lion.leolix.org>  Wed,  5 Jan 2011 20:41:31 +0100

muroard (0.1.0-4) unstable; urgency=low

  * Do not override the old CFLAGS, which was introduced by fixing #598272.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 04 Oct 2010 17:43:45 +0200

muroard (0.1.0-3) unstable; urgency=low

  * Fixed a segfault introduced by debian patches
    triggered by newer versions of libao.
    Closes: #598272
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Philipp Schafft <lion@lion.leolix.org>  Tue, 28 Sep 2010 00:36:10 +0200

muroard (0.1.0-2) unstable; urgency=low

  [ Philipp Schafft ]
  * Added patch 01-use-libao.diff which changes the used driver to libao
    Closes: #592911

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 24 Aug 2010 18:15:37 +0200

muroard (0.1.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.0 (no changes needed).
  * Add upstream author Philipp Schafft as uploader.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 05 Jul 2010 22:39:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: muroard
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper (>= 7), libmuroar-dev
-Standards-Version: 3.8.4
+Uploaders: Philipp Schafft <lion@lion.leolix.org>
+Build-Depends: debhelper (>= 7), libmuroar-dev, libao-dev (>= 1.0.0)
+Standards-Version: 3.9.1
 Section: sound
 Homepage: http://roaraudio.keep-cool.org/

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,14 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+CFLAGS = -g -Wall -Wextra -DHAVE_LIBAO_MATRIX
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+else
+	CFLAGS += -O2
+endif
 
 config.status:
 	dh_testdir
@@ -11,7 +19,7 @@
 build: build-stamp
 build-stamp: config.status
 	dh_testdir
-	$(MAKE)
+	$(MAKE) CFLAGS="$(CFLAGS)"
 	cp dist/debian-like/muroard debian/muroard.init
 	cp dist/debian-like/defaults debian/muroard.default
 	touch build-stamp

## muroard 0.1.7

=== Makefile ===
include Makefile.conf

LIBNAME=libmuroard

SOVERSION = 1

PREFIX_CKPORT=$(PREFIX_LIB)/ckport/db/

SLIB_BASE=$(LIBNAME)$(SHARED_SUFFIX)
SLIB=$(SLIB_BASE).$(SOVERSION)
ALIB=$(LIBNAME).a

BIN=muroard
MANPAGE=$(BIN).1

CKPORTDB=$(LIBNAME).ckport

TARGETS=$(ALIB) $(BIN)

ifeq ($(BUILD_SHARED),true)
TARGETS += $(SLIB)
endif

HEADER=muroard.h clients.h deps.h driver.h dsp.h features.h memmgr.h network.h para.h proto.h streams.h waveform.h

OBJS_CF=cf_au.o cf_riff_wave.o
OBJS=muroard.o para.o network.o waveform.o proto.o dsp.o clients.o streams.o memmgr.o $(OBJS_CF)
OBJS_DRIVER=driver.o
OBJS_MAIN=main.o

DEFINES += -DPACKAGE_VERSION="\"$(VERSION)\"" -DDEVICE_VENDOR_ID=$(DEV_VENDOR) -DDEVICE_VENDOR_NAME="\"$(DEV_VENDOR_NAME)\"" -DDEVICE_VENDOR_STRING="\"$(DEV_VENDOR_STRING)\"" -DDISTRIBUTION_VERSION_STRING="\"$(DISTRIBUTION_VERSION_STRING)\"" $(TARGET_MICROCONTROLLER) $(DRIVER_def)
CFLAGS  += -Wall -Wextra $(fPIC) -g -O2 $(INCPATH) $(DEFINES)
LDFLAGS += -Wall -Wextra -g -O2 $(LDPATH)

NETLIBS  = $(lib_wsock32) $(lib_ws2_32)
LIBS    += $(NETLIBS) $(DRIVER_LIBS)

all: ${TARGETS}
clean:
	rm -f ${TARGETS} *.o
distclean: clean
	rm -f Makefile.conf config.log

new: clean all

prep-install-dirs:
	mkdir -p '$(DESTDIR)$(PREFIX_LIB)'
	mkdir -p '$(DESTDIR)$(PREFIX_INC)'/muroard
	mkdir -p '$(DESTDIR)$(PREFIX_BIN)'
	mkdir -p '$(DESTDIR)$(PREFIX_MAN)/man1'
	mkdir -p '$(DESTDIR)$(PREFIX_CKPORT)'

install: all prep-install-dirs
	cp $(cp_v) $(SLIB)    '$(DESTDIR)$(PREFIX_LIB)'
	cp $(cp_v) $(ALIB)    '$(DESTDIR)$(PREFIX_LIB)'
	cp $(cp_v) $(HEADER)  '$(DESTDIR)$(PREFIX_INC)/muroard/'
	cp $(cp_v) $(BIN)     '$(DESTDIR)$(PREFIX_BIN)'
	cp $(cp_v) $(MANPAGE) '$(DESTDIR)$(PREFIX_MAN)/man1/'
	cp $(cp_v) $(CKPORTDB) '$(DESTDIR)$(PREFIX_CKPORT)'
	ln -s $(SLIB) '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB_BASE)

semi-install: all prep-install-dirs
	ln -fs `pwd`/$(SLIB)    '$(DESTDIR)$(PREFIX_LIB)'
	ln -fs `pwd`/$(ALIB)    '$(DESTDIR)$(PREFIX_LIB)'
	set -e; for i in $(HEADER); do ln -fs `pwd`/$$i '$(DESTDIR)$(PREFIX_INC)/muroard/'; done
	ln -fs `pwd`/$(BIN)     '$(DESTDIR)$(PREFIX_BIN)'
	ln -fs `pwd`/$(MANPAGE) '$(DESTDIR)$(PREFIX_MAN)/man1/'
	ln -fs `pwd`/$(CKPORTDB) '$(DESTDIR)$(PREFIX_CKPORT)'
	ln -s $(SLIB) '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB_BASE)

uninstall:
	rm -f  '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB)
	rm -f  '$(DESTDIR)$(PREFIX_LIB)'/$(ALIB)
	rm -fr '$(DESTDIR)$(PREFIX_INC)/muroard/'
	rm -f  '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB_BASE)
	rm -f  '$(DESTDIR)$(PREFIX_BIN)'/$(BIN)
	rm -f  '$(DESTDIR)$(PREFIX_MAN)'/man1/$(MANPAGE)
	rm -f '$(DESTDIR)$(PREFIX_CKPORT)'/$(CKPORTDB)

muroard: $(OBJS) $(OBJS_DRIVER) $(OBJS_MAIN)
	${CC} ${LDFLAGS} -o muroard $(OBJS) $(OBJS_DRIVER) $(OBJS_MAIN) ${LIBS}

$(SLIB): ${OBJS} ${OBJS_BACKEND}
	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,$(SLIB) -o $(SLIB) ${OBJS} ${OBJS_BACKEND} ${LIBS}
$(ALIB): ${OBJS} ${OBJS_BACKEND}
	${AR} cru $(ALIB) ${OBJS} ${OBJS_BACKEND}
	${RANLIB} $(ALIB)

driver.o: driver.c driver_*.c

=== debian/changelog ===
muroard (0.1.7-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
    - Fixes startup error on some systems as less memory needs to be locked.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 10 Jul 2011 19:19:03 +0200

muroard (0.1.6-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
    - Added standby mode which should reduce power consumption.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 09 Jul 2011 14:06:15 +0200

muroard (0.1.5-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 21 Jun 2011 19:46:26 +0200

muroard (0.1.4-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Build with hardening-wrapper.
  * Wrap build dependencies.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 17:21:30 +0200

muroard (0.1.4-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
  * Allow users to stop the daemon even if starting is disabled in defaults
    file.
    Closes: #613772

  [ Patrick Matthäi ]
  * Move CFLAGS to the beginning to prevent a FTBFS.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 27 Feb 2011 17:56:34 +0100

muroard (0.1.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 07 Feb 2011 18:28:33 +0100

muroard (0.1.3-1) experimental; urgency=high

  [ Philipp Schafft ]
  * New upstream release.
    - Wait for the daemon to terminate on stop. Fixes user removal in purge.
      Closes: #608812

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 22 Jan 2011 16:17:34 +0100

muroard (0.1.2-1) experimental; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
    - Fixes small memory leak in used libao driver.

  [ Patrick Matthäi ]
  * Bump build dependency on libmuroar-dev to >= 0.1.3.
  * Update patch 01-use-libao.diff.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 15 Dec 2010 18:20:43 +0100

muroard (0.1.1-1) experimental; urgency=low

  * New upstream release.
    - Drop merged patch 02-libao4-matrix.diff.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 01 Nov 2010 12:08:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Uploaders: Philipp Schafft <lion@lion.leolix.org>
-Build-Depends: debhelper (>= 7), libmuroar-dev, libao-dev (>= 1.0.0)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7),
+ libmuroar-dev (>= 0.1.3),
+ libao-dev (>= 1.0.0),
+ hardening-wrapper
+Standards-Version: 3.9.2
 Section: sound
 Homepage: http://roaraudio.keep-cool.org/

=== debian/rules ===
--- 
+++ 
@@ -2,24 +2,24 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DEB_BUILD_HARDENING=1
 
-CFLAGS = -g -Wall -Wextra -DHAVE_LIBAO_MATRIX
+CFLAGS = -DHAVE_LIBAO_MATRIX
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
+DEB_VERSION := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -f 2 -d ' ')
 
 config.status:
 	dh_testdir
-	./configure --prefix /usr
+	CFLAGS="$(CFLAGS)" ./configure --prefix /usr --driver libao \
+	--distribution-version-string "Debian-$(DEB_VERSION)"
 	touch config.status
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: config.status
 	dh_testdir
-	$(MAKE) CFLAGS="$(CFLAGS)"
+	$(MAKE)
 	cp dist/debian-like/muroard debian/muroard.init
 	cp dist/debian-like/defaults debian/muroard.default
 	touch build-stamp
@@ -65,4 +65,4 @@
 	@@uscan --force-download --destdir ../tarballs
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build clean binary-indep binary-arch binary install

## muroard 0.1.9

=== Makefile ===
include Makefile.conf

LIBNAME=libmuroard

SOVERSION = 2

PREFIX_CKPORT=$(PREFIX_LIB)/ckport/db/

SLIB_BASE=$(LIBNAME)$(SHARED_SUFFIX)
SLIB=$(SLIB_BASE).$(SOVERSION)
ALIB=$(LIBNAME).a

LIBNAME_BKEND=$(LIBNAME)-backend
SLIB_BKEND_BASE=$(LIBNAME_BKEND)$(SHARED_SUFFIX)
SLIB_BKEND=$(SLIB_BKEND_BASE).$(SOVERSION)
ALIB_BKEND=$(LIBNAME_BKEND).a

BIN=muroard
MANPAGE=$(BIN).1

CKPORTDB=$(LIBNAME).ckport

TARGETS=$(ALIB) $(ALIB_BKEND) $(BIN)

ifeq ($(BUILD_SHARED),true)
TARGETS += $(SLIB) $(SLIB_BKEND)
endif

HEADER=muroard.h clients.h deps.h driver.h dsp.h features.h memmgr.h network.h para.h proto.h streams.h waveform.h

OBJS_CF=cf_au.o cf_riff_wave.o cf_ogg_vorbis.o
OBJS=muroard.o para.o network.o waveform.o proto.o dsp.o clients.o streams.o memmgr.o $(OBJS_CF)
OBJS_DRIVER=driver.o
OBJS_MAIN=main.o

DEFINES += -DPACKAGE_VERSION="\"$(VERSION)\"" -DDEVICE_VENDOR_ID=$(DEV_VENDOR) -DDEVICE_VENDOR_NAME="\"$(DEV_VENDOR_NAME)\"" -DDEVICE_VENDOR_STRING="\"$(DEV_VENDOR_STRING)\"" -DDISTRIBUTION_VERSION_STRING="\"$(DISTRIBUTION_VERSION_STRING)\"" $(TARGET_MICROCONTROLLER) $(DRIVER_def) $(def_dnet_daemon) $(def_vorbisfile)
CFLAGS  += -Wall $(Wextra) $(fPIC) -g -O2 $(INCPATH) $(DEFINES)
LDFLAGS += -Wall $(Wextra) -g -O2 $(LDPATH)

CONTLIBS = $(lib_vorbisfile)
NETLIBS  = $(lib_wsock32) $(lib_ws2_32) $(lib_dnet_daemon)
LIBS    += $(CONTLIBS) $(NETLIBS) $(DRIVER_LIBS)

all: ${TARGETS}
clean:
	rm -f ${TARGETS} *.o
distclean: clean
	rm -f Makefile.conf config.log

new: clean all

prep-install-dirs:
	mkdir -p '$(DESTDIR)$(PREFIX_LIB)'
	mkdir -p '$(DESTDIR)$(PREFIX_INC)'/muroard
	mkdir -p '$(DESTDIR)$(PREFIX_BIN)'
	mkdir -p '$(DESTDIR)$(PREFIX_MAN)/man1'
	mkdir -p '$(DESTDIR)$(PREFIX_CKPORT)'

install: all prep-install-dirs
	cp $(cp_v) $(SLIB)       '$(DESTDIR)$(PREFIX_LIB)'
	cp $(cp_v) $(ALIB)       '$(DESTDIR)$(PREFIX_LIB)'
	cp $(cp_v) $(SLIB_BKEND) '$(DESTDIR)$(PREFIX_LIB)'
	cp $(cp_v) $(ALIB_BKEND) '$(DESTDIR)$(PREFIX_LIB)'
	cp $(cp_v) $(HEADER)     '$(DESTDIR)$(PREFIX_INC)/muroard/'
	cp $(cp_v) $(BIN)        '$(DESTDIR)$(PREFIX_BIN)'
	cp $(cp_v) $(MANPAGE)    '$(DESTDIR)$(PREFIX_MAN)/man1/'
	cp $(cp_v) $(CKPORTDB)   '$(DESTDIR)$(PREFIX_CKPORT)'
	ln -fs $(SLIB)       '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB_BASE)
	ln -fs $(SLIB_BKEND) '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB_BKEND_BASE)

semi-install: all prep-install-dirs
	ln -fs `pwd`/$(SLIB)       '$(DESTDIR)$(PREFIX_LIB)'
	ln -fs `pwd`/$(SLIB_BKEND) '$(DESTDIR)$(PREFIX_LIB)'
	ln -fs `pwd`/$(ALIB)       '$(DESTDIR)$(PREFIX_LIB)'
	ln -fs `pwd`/$(ALIB_BKEND) '$(DESTDIR)$(PREFIX_LIB)'
	set -e; for i in $(HEADER); do ln -fs `pwd`/$$i '$(DESTDIR)$(PREFIX_INC)/muroard/'; done
	ln -fs `pwd`/$(BIN)        '$(DESTDIR)$(PREFIX_BIN)'
	ln -fs `pwd`/$(MANPAGE)    '$(DESTDIR)$(PREFIX_MAN)/man1/'
	ln -fs `pwd`/$(CKPORTDB)   '$(DESTDIR)$(PREFIX_CKPORT)'
	ln -fs $(SLIB)       '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB_BASE)
	ln -fs $(SLIB_BKEND) '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB_BKEND_BASE)

uninstall:
	rm -f  '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB)
	rm -f  '$(DESTDIR)$(PREFIX_LIB)'/$(ALIB)
	rm -f  '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB_BKEND)
	rm -f  '$(DESTDIR)$(PREFIX_LIB)'/$(ALIB_BKEND)
	rm -fr '$(DESTDIR)$(PREFIX_INC)/muroard/'
	rm -f  '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB_BASE)
	rm -f  '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB_BKEND_BASE)
	rm -f  '$(DESTDIR)$(PREFIX_BIN)'/$(BIN)
	rm -f  '$(DESTDIR)$(PREFIX_MAN)'/man1/$(MANPAGE)
	rm -f  '$(DESTDIR)$(PREFIX_CKPORT)'/$(CKPORTDB)

muroard: $(OBJS) $(OBJS_DRIVER) $(OBJS_MAIN)
	${CC} ${LDFLAGS} -o muroard $(OBJS) $(OBJS_DRIVER) $(OBJS_MAIN) ${LIBS}

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,$(SLIB) -o $(SLIB) ${OBJS} ${LIBS}
$(ALIB): ${OBJS}
	${AR} cru $(ALIB) ${OBJS}
	${RANLIB} $(ALIB)

$(SLIB_BKEND): ${OBJS_DRIVER}
	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,$(SLIB_BKEND) -o $(SLIB_BKEND) ${OBJS_DRIVER} $(DRIVER_LIBS)
$(ALIB_BKEND): ${OBJS_DRIVER}
	${AR} cru $(ALIB_BKEND) ${OBJS_DRIVER}
	${RANLIB} $(ALIB_BKEND)

driver.o: driver.c driver_*.c

=== debian/changelog ===
muroard (0.1.9-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
    - Added ogg_vorbis support via libvorbisfile.
    - Build includes everything needed as library.
      Added new binary packages libmuroard2 and muroard-dev.

  [ Patrick Matthäi ]
  * Wrap all control fields.
  * Add patch 01-hyphen-used-as-minus to fix lintian warning
    hyphen-used-as-minus-sign.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 13 Nov 2011 14:24:17 +0100

muroard (0.1.8-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
    - Added DECnet support.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 18 Sep 2011 15:29:40 +0200

=== debian/control ===
Source: muroard
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Uploaders: Philipp Schafft <lion@lion.leolix.org>
Build-Depends: debhelper (>= 7),
 libmuroar-dev (>= 0.1.3),
 libao-dev (>= 1.0.0),
 libdnet-dev [linux-any],
 libvorbis-dev,
 hardening-wrapper
Standards-Version: 3.9.2
Section: sound
Homepage: http://roaraudio.keep-cool.org/

Package: muroard
Architecture: any
Provides: roaraudio-server
Suggests: roaraudio,
 libmuroar0
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: minimalist RoarAudio sound daemon
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 This is a minimalist version of a RoarAudio sound daemon.

Package: muroard-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends},
 muroard (= ${binary:Version}),
 libmuroard2 (= ${binary:Version})
Description: minimalist RoarAudio sound daemon (debugging symbols)
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 This package provides debugging symbols for the muroard package.

Package: libmuroard2
Section: libs
Architecture: any
Priority: extra
Suggests: roaraudio,
 libmuroar0
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: minimalist RoarAudio sound daemon (library package)
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 This package provides librarys needed to embed muRoarD into an existing
 application (as thread).

Package: muroard-dev
Section: devel
Architecture: any
Priority: extra
Depends: ${misc:Depends},
 libmuroard2 (= ${binary:Version})
Description: minimalist RoarAudio sound daemon (development files)
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 This package provides development files needed to embed muRoarD into an
 existing application (as thread).

=== debian/rules ===
--- 
+++ 
@@ -46,8 +46,8 @@
 	dh_testroot -a
 	dh_installchangelogs -a ChangeLog
 	dh_installdocs -a
-	dh_install -a
 	dh_installman -a
+	dh_install -a --list-missing
 	dh_installinit -a
 	dh_strip -a --dbg-package=muroard-dbg
 	dh_compress -a

## muroard 0.1.10

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 LIBNAME=libmuroard
 
-SOVERSION = 2
+SOVERSION = 3
 
 PREFIX_CKPORT=$(PREFIX_LIB)/ckport/db/
 
@@ -26,7 +26,7 @@
 TARGETS += $(SLIB) $(SLIB_BKEND)
 endif
 
-HEADER=muroard.h clients.h deps.h driver.h dsp.h features.h memmgr.h network.h para.h proto.h streams.h waveform.h
+HEADER=muroard.h clients.h deps.h driver.h dsp.h features.h memmgr.h network.h para.h proto.h streams.h waveform.h callbacks.h cf.h state.h
 
 OBJS_CF=cf_au.o cf_riff_wave.o cf_ogg_vorbis.o
 OBJS=muroard.o para.o network.o waveform.o proto.o dsp.o clients.o streams.o memmgr.o $(OBJS_CF)

=== debian/changelog ===
muroard (0.1.10-2) unstable; urgency=low

  * Remove Philipp as co-maintainer.
    Closes: #682877

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 30 Jul 2012 09:53:15 +0200

muroard (0.1.10-1) unstable; urgency=low

  * New upstream release.
  * Renamed libmuroard2 to libmuroard3 because of SONAME change.
  * Removed patch 01-hyphen-used-as-minus as it is now in upstream.

 -- Philipp Schafft <lion@lion.leolix.org>  Tue, 15 May 2012 12:44:07 +0200

muroard (0.1.9-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Add lintian override about no-symbols-control-file.
  * Add patch 02-init-status, which adds the status option to the init script.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 25 Feb 2012 10:30:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: muroard
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Uploaders: Philipp Schafft <lion@lion.leolix.org>
 Build-Depends: debhelper (>= 7),
  libmuroar-dev (>= 0.1.3),
  libao-dev (>= 1.0.0),
  libdnet-dev [linux-any],
  libvorbis-dev,
  hardening-wrapper
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: sound
 Homepage: http://roaraudio.keep-cool.org/
 
@@ -32,7 +31,7 @@
 Priority: extra
 Depends: ${misc:Depends},
  muroard (= ${binary:Version}),
- libmuroard2 (= ${binary:Version})
+ libmuroard3 (= ${binary:Version})
 Description: minimalist RoarAudio sound daemon (debugging symbols)
  RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
  from different clients before sending it to its outputs (for example a
@@ -40,7 +39,7 @@
  .
  This package provides debugging symbols for the muroard package.
 
-Package: libmuroard2
+Package: libmuroard3
 Section: libs
 Architecture: any
 Priority: extra
@@ -61,7 +60,7 @@
 Architecture: any
 Priority: extra
 Depends: ${misc:Depends},
- libmuroard2 (= ${binary:Version})
+ libmuroard3 (= ${binary:Version})
 Description: minimalist RoarAudio sound daemon (development files)
  RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
  from different clients before sending it to its outputs (for example a

=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,7 @@
 	dh_installman -a
 	dh_install -a --list-missing
 	dh_installinit -a
+	dh_lintian -a
 	dh_strip -a --dbg-package=muroard-dbg
 	dh_compress -a
 	dh_fixperms -a

=== debian/watch ===
version=3
http://roaraudio.keep-cool.org/downloads.html dl/muroard-(.*)\.tar\.gz

## muroard 0.1.12

=== debian/changelog ===
muroard (0.1.12-3) unstable; urgency=low

  * Bump debian/compat to level 9.
  * Uploading to unstable.
  * Migrate package to minimal debhelper.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 18 May 2013 22:23:39 +0200

muroard (0.1.12-2) experimental; urgency=low

  * Fix spelling error in long description of libmuroard3 package.
    Closes: #650177

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 20 Dec 2012 10:14:34 +0100

muroard (0.1.12-1) experimental; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.
  * Mangle post in upstream release name in debian/watch.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 10 Dec 2012 14:24:57 +0100

muroard (0.1.11-1) experimental; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 18 Sep 2012 08:47:09 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

DEB_VERSION := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -f 2 -d ' ')

DEB_CONFIGURE_EXTRA_FLAGS := \
	--prefix /usr \
	--driver libao \
	--distribution-version-string "Debian-$(DEB_VERSION)"

%:
	dh $@

override_dh_auto_configure:
	./configure $(DEB_CONFIGURE_EXTRA_FLAGS)
	cp dist/debian-like/muroard debian/muroard.init
	cp dist/debian-like/defaults debian/muroard.default

override_dh_strip:
	dh_strip --dbg-package=muroard-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz

## muroard 0.1.14

=== Makefile ===
--- 
+++ 
@@ -57,28 +57,36 @@
 	mkdir -p '$(DESTDIR)$(PREFIX_CKPORT)'
 
 install: all prep-install-dirs
+ifeq ($(BUILD_SHARED),true)
 	cp $(cp_v) $(SLIB)       '$(DESTDIR)$(PREFIX_LIB)'
+	cp $(cp_v) $(SLIB_BKEND) '$(DESTDIR)$(PREFIX_LIB)'
+endif
 	cp $(cp_v) $(ALIB)       '$(DESTDIR)$(PREFIX_LIB)'
-	cp $(cp_v) $(SLIB_BKEND) '$(DESTDIR)$(PREFIX_LIB)'
 	cp $(cp_v) $(ALIB_BKEND) '$(DESTDIR)$(PREFIX_LIB)'
 	cp $(cp_v) $(HEADER)     '$(DESTDIR)$(PREFIX_INC)/muroard/'
 	cp $(cp_v) $(BIN)        '$(DESTDIR)$(PREFIX_BIN)'
 	cp $(cp_v) $(MANPAGE)    '$(DESTDIR)$(PREFIX_MAN)/man1/'
 	cp $(cp_v) $(CKPORTDB)   '$(DESTDIR)$(PREFIX_CKPORT)'
+ifeq ($(BUILD_SHARED),true)
 	ln -fs $(SLIB)       '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB_BASE)
 	ln -fs $(SLIB_BKEND) '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB_BKEND_BASE)
+endif
 
 semi-install: all prep-install-dirs
+ifeq ($(BUILD_SHARED),true)
 	ln -fs `pwd`/$(SLIB)       '$(DESTDIR)$(PREFIX_LIB)'
 	ln -fs `pwd`/$(SLIB_BKEND) '$(DESTDIR)$(PREFIX_LIB)'
+endif
 	ln -fs `pwd`/$(ALIB)       '$(DESTDIR)$(PREFIX_LIB)'
 	ln -fs `pwd`/$(ALIB_BKEND) '$(DESTDIR)$(PREFIX_LIB)'
 	set -e; for i in $(HEADER); do ln -fs `pwd`/$$i '$(DESTDIR)$(PREFIX_INC)/muroard/'; done
 	ln -fs `pwd`/$(BIN)        '$(DESTDIR)$(PREFIX_BIN)'
 	ln -fs `pwd`/$(MANPAGE)    '$(DESTDIR)$(PREFIX_MAN)/man1/'
 	ln -fs `pwd`/$(CKPORTDB)   '$(DESTDIR)$(PREFIX_CKPORT)'
+ifeq ($(BUILD_SHARED),true)
 	ln -fs $(SLIB)       '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB_BASE)
 	ln -fs $(SLIB_BKEND) '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB_BKEND_BASE)
+endif
 
 uninstall:
 	rm -f  '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB)

=== debian/changelog ===
muroard (0.1.14-5) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1:
    - Switch packages from priority extra to optional.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 08 Nov 2017 11:04:27 +0100

muroard (0.1.14-4) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0 (no changes required).
  * Drop dbg package.
  * Bump debian/compat to level 10.
  * Remove triggers file again.
  * Use pkg-info.mk to determine DEB_VERSION.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 21 Jul 2017 14:07:37 +0200

muroard (0.1.14-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8 (no changes required).
  * Enable full hardening.
  * Add patch 01-spelling-errors to fix a spelling error.
  * Add missing dependency on lsb-base.
  * Use debhelper triggers.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 23 Dec 2016 09:47:10 +0100

muroard (0.1.14-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.6 (no changes needed).
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Remove libdnet support, it will be removed soon.
  * Remove deprecated hardening-wrapper.
  * Update to the DEP5 debian/copyright format.
  * Remove .comment section from libmuroard.a.
  * Add multi arch support.
  * Add GPG signature check for uscan.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 09 Jul 2015 21:05:39 +0200

muroard (0.1.14-1) unstable; urgency=low

  * New upstream release.
    - Fixes crash in parsing argv arguments.
      Closes: #716570
    - Drop merged patch 02-init-status.
    - Drop merged patch 03-init-source-functions.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 02 Sep 2013 10:37:05 +0200

muroard (0.1.13-1) unstable; urgency=low

  * New upstream release.
  * Override dh_auto_clean.
  * Add patch 03-init-source-functions to fix lintian warning
    init.d-script-does-not-source-init-functions.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 29 Aug 2013 11:27:38 +0200

=== debian/control ===
Source: muroard
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 10),
 libmuroar-dev (>= 0.1.3),
 libao-dev (>= 1.0.0),
 libvorbis-dev
Standards-Version: 4.1.1
Section: sound
Homepage: http://roaraudio.keep-cool.org/

Package: muroard
Architecture: any
Provides: roaraudio-server
Suggests: roaraudio,
 libmuroar0
Depends: ${shlibs:Depends},
 ${misc:Depends},
 lsb-base
Description: minimalist RoarAudio sound daemon
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 This is a minimalist version of a RoarAudio sound daemon.

Package: libmuroard3
Section: libs
Architecture: any
Multi-Arch: allowed
Suggests: roaraudio,
 libmuroar0
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: minimalist RoarAudio sound daemon (library package)
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 This package provides libraries needed to embed muRoarD into an existing
 application (as thread).

Package: muroard-dev
Section: devel
Architecture: any
Depends: ${misc:Depends},
 libmuroard3 (= ${binary:Version})
Description: minimalist RoarAudio sound daemon (development files)
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 This package provides development files needed to embed muRoarD into an
 existing application (as thread).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_CONFIGURE_EXTRA_FLAGS := \
	--prefix /usr \
	--prefix-lib /usr/lib/$(DEB_HOST_MULTIARCH)/ \
	--driver libao \
	--distribution-version-string "Debian-$(DEB_VERSION)"

%:
	dh $@

override_dh_auto_clean:
	[ ! -f Makefile.conf ] || $(MAKE) distclean

override_dh_auto_configure:
	./configure $(DEB_CONFIGURE_EXTRA_FLAGS)
	cp dist/debian-like/muroard debian/muroard.init
	cp dist/debian-like/defaults debian/muroard.default

override_dh_install:
	dh_install
	strip --remove-section=.comment \
		$(CURDIR)/debian/muroard-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libmuroard.a
	strip --remove-section=.comment \
		$(CURDIR)/debian/muroard-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libmuroard-backend.a

=== debian/watch ===
version=3
opts=\
pgpsigurlmangle=s/$/.asc/,\
uversionmangle=s/~//;s/beta/~beta/;s/-pr/~pr/;s/rc/~rc/ \
http://roaraudio.keep-cool.org/downloads.html dl/muroard-(.*)\.tar\.gz
